// Kubejs scripts for anything embers

ServerEvents.recipes(event => {

// Alt recipe for ancient codex
event.remove({ output: 'embers:ancient_codex' })

event.shaped(
  Item.of('embers:ancient_codex'),
  [
    ' A ',
    'ABA',
    ' A '
  ],
  {
    A: 'embers:caminite_plate',
    B: 'minecraft:book'
  }
)

// Alt recipe for item extractor
event.replaceInput(
  { output: 'embers:item_extractor' },
  'minecraft:redstone',
  'projecte:low_covalence_dust'
)

// Alt recipe for fluid extractor
event.replaceInput(
  { output: 'embers:fluid_extractor' },
  'minecraft:redstone',
  'projecte:low_covalence_dust'
)

// Alt recipe for atmos gauge
event.replaceInput(
  { output: 'embers:atmospheric_gauge' },
  'minecraft:redstone',
  'projecte:low_covalence_dust'
)

// Auto-Forge Recipe
event.custom({
  "type": "aetherworks:tool_station",
  "inputs": [
    {
      "tag": "forge:plates/aetherium"
    },
    {
      "item": "aetherworks:glass_aetherium"
    },
    {
      "item": "aetherworks:lexicon"
    },
    {
      "item": "aetherworks:aetherium_lens"
    },
    {
      "tag": "forge:plates/aetherium"
    }
  ],
  "output": {
    "item": "mbd2:alchemy_box"
  },
  "temperature": 2700,
  "temperature_rate": 30.0
})

})

ServerEvents.tags('block', event => {
	
// Remove collector fuel upcycling
event.add('embers:world_bottom', 'minecraft:obsidian')
event.remove('embers:world_bottom', 'minecraft:bedrock')

})